classification
Title: Improve some deprecations in the importlib
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: brett.cannon, docs@python, mbussonn, ncoghlan, serhiy.storchaka, vstinner
Priority: normal Keywords:

Created on 2017-02-16 01:27 by mbussonn, last changed 2017-04-29 04:06 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 32 merged mbussonn, 2017-02-16 01:27
PR 703 larry, 2017-03-17 21:00
PR 552 closed dstufft, 2017-03-31 16:36
PR 1285 merged serhiy.storchaka, 2017-04-25 19:20
Messages (5)
msg287908 - (view) Author: Matthias Bussonnier (mbussonn) * Date: 2017-02-16 01:27
A couple of function in importlib are marked as deprecated in the documentation but do not raise deprecation warnings.

As the same time it would be great to improve some deprecation warnings and docstring to include the version since when this is deprecated. 

This should be take care of by https://github.com/python/cpython/pull/32
msg287909 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2017-02-16 02:00
New changeset 1d4601c2c6952d03fc4dda2b041be9aa8713c0bc by Brett Cannon in branch 'master':
bpo-29576: add explicit deprecation for importlib.abc.find_loader() and find_module() (GH-32)
https://github.com/python/cpython/commit/1d4601c2c6952d03fc4dda2b041be9aa8713c0bc
msg292277 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-04-25 19:16
This change made test_importlib emitting warnings. See issue30158.
msg292286 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-04-25 23:02
This issue introduced new warnings when running test_importlib: see issue #30158.
msg292561 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-04-29 04:06
New changeset 3cc8259b71ef784a9f7593f04da96043afe2228a by Serhiy Storchaka in branch 'master':
bpo-30158: Fix deprecation warnings in test_importlib introduced by bpo-29576. (#1285)
https://github.com/python/cpython/commit/3cc8259b71ef784a9f7593f04da96043afe2228a
History
Date User Action Args
2017-04-29 04:06:51serhiy.storchakasetmessages: + msg292561
2017-04-25 23:02:07vstinnersetnosy: + vstinner
messages: + msg292286
2017-04-25 19:20:17serhiy.storchakasetpull_requests: + pull_request1393
2017-04-25 19:16:27serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg292277
2017-03-31 16:36:38dstufftsetpull_requests: + pull_request1100
2017-03-17 21:00:35larrysetpull_requests: + pull_request618
2017-02-18 05:27:04ezio.melottisetmessages: - msg288061
2017-02-18 05:13:18ncoghlansetnosy: + ncoghlan
messages: + msg288061
2017-02-16 02:00:59brett.cannonsetstatus: open -> closed
resolution: fixed
stage: resolved
2017-02-16 02:00:34brett.cannonsetnosy: + brett.cannon
messages: + msg287909
2017-02-16 01:27:34mbussonncreate